DMAC_BASEADDR_Type Union Reference

## Data Fields

struct {
uint32_t BASEADDR:32
} | bit
uint32_t | reg

## Detailed Description

Definition at line 856 of file dmac.h.

## Field Documentation

## BASEADDR

uint32_t DMAC_BASEADDR_Type::BASEADDR

bit: 0..31 Descriptor Memory Base Address

Definition at line 858 of file dmac.h.

## bit

struct { ... } DMAC_BASEADDR_Type::bit

Structure used for bit access

## reg

uint32_t DMAC_BASEADDR_Type::reg

Type used for register access

Definition at line 860 of file dmac.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/dmac.h